alchemy_getAssetTransfers

The Transfers API allows you to easily fetch historical transactions for any address across Ethereum and supported L2s including Polygon, Arbitrum, and Optimism.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to docs-demo

For higher throughput, create your own API key

Body Params
integer
Defaults to 1
string
Defaults to 2.0
string
enum
Defaults to alchemy_getAssetTransfers
Allowed:
params
array of objects
length between 1 and 1
params
string
Defaults to 0x0

String - Inclusive from block (hex string, int, or latest). Defaults to 0x0

string
Defaults to latest

String - Inclusive to block (hex string, int, or latest). Defaults to latest

string
^0[xX][0-9a-fA-F]+$

String - From address (hex string). Default wildcard - any address

string
^0[xX][0-9a-fA-F]+$
Defaults to 0x5c43B1eD97e52d009611D89b74fA829FE4ac56b1

String - To address (hex string). Default wildcard - any address

contractAddresses
array of strings

String - List of contract addresses (hex strings) to filter for - only applies to "erc20", "erc721", "erc1155" transfers. Default wildcard - any address

contractAddresses
category
array of strings
required
Defaults to external

'Array of categories, can be any of the following: "external", "internal", "erc20", "erc721", "erc1155", or "specialnft". See the table above for supported categories on each network.'

category*
Allowed:
string
enum

String - Whether to return results in ascending (asc) or descending (desc) order. Ascending order is from oldest to newest transactions, decending order is from newest to oldest. Defaults to asc.

Allowed:
boolean
Defaults to false

Boolean - Whether or not to include additional metadata about each transfer event. Defaults to false.

boolean
Defaults to true

Boolean - A boolean to exclude transfers with zero value - zero value is not the same as null value. Defaults to true.

string
Defaults to 0x3e8

Max hex string number of results to return per call. Defaults to 0x3e8 (1000).

string

String - UUID for pagination. If more results are available, a uuid pageKey will be returned in the response. Pass that uuid into pageKey to fetch the next 1000 or maxCount.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json